<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>peer-review-system documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">peer-review-system documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AuthModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="779pt" height="211pt"
 viewBox="0.00 0.00 779.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 775,-207 775,4 -4,4"/>
<text text-anchor="start" x="364.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="151.5,-10 151.5,-30 171.5,-30 171.5,-10 151.5,-10"/>
<text text-anchor="start" x="175.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="264.5,-10 264.5,-30 284.5,-30 284.5,-10 264.5,-10"/>
<text text-anchor="start" x="288.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="350.5,-10 350.5,-30 370.5,-30 370.5,-10 350.5,-10"/>
<text text-anchor="start" x="374.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="447.5,-10 447.5,-30 467.5,-30 467.5,-10 447.5,-10"/>
<text text-anchor="start" x="471.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="543.5,-10 543.5,-30 563.5,-30 563.5,-10 543.5,-10"/>
<text text-anchor="start" x="567.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AuthModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 763,-195 763,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AuthModule_declarations</title>
<polygon fill="none" stroke="#000000" points="138,-78 138,-130 755,-130 755,-78 138,-78"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_AuthModule_imports</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 130,-130 130,-78 16,-78"/>
</g>
<!-- ResetPasswordComponent -->
<g id="node1" class="node">
<title>ResetPasswordComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="747.087,-122 580.913,-122 580.913,-86 747.087,-86 747.087,-122"/>
<text text-anchor="middle" x="664" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ResetPasswordComponent</text>
</g>
<!-- AuthModule -->
<g id="node5" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="387.5482,-187 384.5482,-191 363.5482,-191 360.5482,-187 300.4518,-187 300.4518,-151 387.5482,-151 387.5482,-187"/>
<text text-anchor="middle" x="344" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthModule</text>
</g>
<!-- ResetPasswordComponent&#45;&gt;AuthModule -->
<g id="edge1" class="edge">
<title>ResetPasswordComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M664,-122.2843C664,-143.3211 664,-175 664,-175 664,-175 397.8237,-175 397.8237,-175"/>
<polygon fill="#000000" stroke="#000000" points="397.8237,-171.5001 387.8237,-175 397.8236,-178.5001 397.8237,-171.5001"/>
</g>
<!-- SendEmailComponent -->
<g id="node2" class="node">
<title>SendEmailComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="563.2688,-122 420.7312,-122 420.7312,-86 563.2688,-86 563.2688,-122"/>
<text text-anchor="middle" x="492" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SendEmailComponent</text>
</g>
<!-- SendEmailComponent&#45;&gt;AuthModule -->
<g id="edge2" class="edge">
<title>SendEmailComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M492,-122.0225C492,-139.3734 492,-163 492,-163 492,-163 397.6044,-163 397.6044,-163"/>
<polygon fill="#000000" stroke="#000000" points="397.6044,-159.5001 387.6044,-163 397.6044,-166.5001 397.6044,-159.5001"/>
</g>
<!-- SigninComponent -->
<g id="node3" class="node">
<title>SigninComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="402.8962,-122 285.1038,-122 285.1038,-86 402.8962,-86 402.8962,-122"/>
<text text-anchor="middle" x="344" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SigninComponent</text>
</g>
<!-- SigninComponent&#45;&gt;AuthModule -->
<g id="edge3" class="edge">
<title>SigninComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M344,-122.1061C344,-122.1061 344,-140.991 344,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="340.5001,-140.9909 344,-150.991 347.5001,-140.991 340.5001,-140.9909"/>
</g>
<!-- SignupComponent -->
<g id="node4" class="node">
<title>SignupComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="267.5056,-122 146.4944,-122 146.4944,-86 267.5056,-86 267.5056,-122"/>
<text text-anchor="middle" x="207" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SignupComponent</text>
</g>
<!-- SignupComponent&#45;&gt;AuthModule -->
<g id="edge4" class="edge">
<title>SignupComponent&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M207,-122.0225C207,-139.3734 207,-163 207,-163 207,-163 290.2757,-163 290.2757,-163"/>
<polygon fill="#000000" stroke="#000000" points="290.2757,-166.5001 300.2757,-163 290.2756,-159.5001 290.2757,-166.5001"/>
</g>
<!-- SharedModule -->
<g id="node6" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="122.4231,-122 119.4231,-126 98.4231,-126 95.4231,-122 23.5769,-122 23.5769,-86 122.4231,-86 122.4231,-122"/>
<text text-anchor="middle" x="73" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;AuthModule -->
<g id="edge5" class="edge">
<title>SharedModule&#45;&gt;AuthModule</title>
<path fill="none" stroke="#000000" d="M73,-122.2843C73,-143.3211 73,-175 73,-175 73,-175 290.158,-175 290.158,-175"/>
<polygon fill="#000000" stroke="#000000" points="290.158,-178.5001 300.158,-175 290.1579,-171.5001 290.158,-178.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/auth/auth.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ResetPasswordComponent.html">ResetPasswordComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SendEmailComponent.html">SendEmailComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SigninComponent.html">SigninComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SignupComponent.html">SignupComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { SigninComponent } from &#x27;./signin/signin.component&#x27;;
import { SignupComponent } from &#x27;./signup/signup.component&#x27;;
import { ResetPasswordComponent } from &#x27;./reset-password/reset-password.component&#x27;;
import { Routes, RouterModule } from &#x27;@angular/router&#x27;;
import { SharedModule } from &#x27;../shared/shared.module&#x27;;
import { SendEmailComponent } from &#x27;../components/send-email/send-email.component&#x27;;

const routes: Routes &#x3D; [
  { path: &#x27;signin&#x27;, component: SigninComponent, data: { title: &#x27;Sign in&#x27; } },
  { path: &#x27;signup&#x27;, component: SignupComponent, data: { title: &#x27;Sign up&#x27; } },
  { path: &#x27;reset-password&#x27;, component: ResetPasswordComponent, data: { title: &#x27;Reset password&#x27; } },
  { path: &#x27;send-email&#x27;, component: SendEmailComponent, data: { title: &#x27;Send email&#x27; } }

];

@NgModule({
  imports: [RouterModule.forChild(routes),
    SharedModule],
  declarations: [SigninComponent, SignupComponent, ResetPasswordComponent, SendEmailComponent],
})
export class AuthModule { }
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AuthModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
